/*! \file main.c \brief Test Program Wave Player */
//###########################################################
///	\code #include "dos.h" \endcode
///	\par Uebersicht
//###################################################################################
//
// Play wave files from SD-Card
//
// Uses 8 bit R2R-DAC on PORTA, or PWM at PD7 (or both;)
//
// Does not play stereo files, files with 16 bit samples or files with compression.
//
// Tested from 8000Hz to 44100Hz samplerates at 8MHz and 16MHz cpu clock.
//
// SD card connection on MISO, MOSI, SCK.
// CS of the SD card is connected to SS pin.
//
//#########################################################################
// Last change: 09.10.2010
//#########################################################################
// hk@holger-klabunde.de
// http://www.holger-klabunde.de/index.html
//#########################################################################
// Compiler: AVR-GCC 4.1.1
//#########################################################################
//@{
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <stdarg.h>
#include <string.h>
#include <stdlib.h>

#include "..\dos.h"
#include "playwave.h"

//###################################################################################
/* Hauptprogramm */
int main(void)
//###################################################################################
{
 MMC_IO_Init();

 sei();              //enable interrupts

 if(GetDriveInformation()!=F_OK) // get drive parameters
  {
   while(1); // stop on error
  }
  
 for(;;) // loop forever
  {
   PlayWave("batman1.wav");
   PlayWave("illegal.wav");
   PlayWave("meepmeep.wav");
   PlayWave("halsorry.wav");
   PlayWave("krupps2.wav");
   PlayWave("gypsys8.wav");
   PlayWave("salva.wav");
  }
}

//@}
