//#########################################################################
// File: playwave.h
//
//
//#########################################################################
// Last change: 26.11.2010
//#########################################################################
// Compiler: AVR-GCC 4.1.1
//#########################################################################


#ifndef __PLAYWAVE_H
#define __PLAYWAVE_H

#define PWM_DAC					1   // 1 = Use pwm for output
#define R2R_DAC					1	// 1 = Use a R2-R dac on a port
#define DAC_PORT				PORTA
#define DAC_DDR					DDRA

// @8000Hz 	and 16MHz F_CPU 256 bytes is enough for 31ms 8bit mono sounddata
// @22050Hz and 16MHz F_CPU 256 bytes is enough for 11ms 8bit mono sounddata
//#define PLAY_BUFFER_SIZE		256 // use this for 44100Hz sample rate
#define PLAY_BUFFER_SIZE		160 // this seems also to be enough for 44100Hz
//#define PLAY_BUFFER_SIZE		128 // good up to 22050Hz sample rate. maybe even less.
									// play with this value for best results!

void PlayWave(char *name);
void StartAudioTimer(void);
void StopAudioTimer(void);
uint16_t ReadWaveHeader(void);

#endif //__PLAYWAVE_H
